/****************************************************************************
*
*  Motor.h
*
*  Motor Control Code
*
****************************************************************************/

#if !defined( MOTOR_H )
#define  MOTOR_H

#define  SPEED_BWD      100    // 1.0 mSec
#define  SPEED_BWD_MED  146    // 1.4 mSec
#define  SPEED_OFF      150    // 1.5 mSec
#define  SPEED_FWD_MED  154    // 1.6 mSec
#define  SPEED_FWD      200    // 2.0 mSec

#define  SPEED_BWD_SPIN 146
#define  SPEED_FWD_SPIN 154

extern   uns8  gSpeedL;
extern   uns8  gSpeedR;
extern   uns8  gPrevSpeedL;
extern   uns8  gPrevSpeedR;
extern   uns8  gT0;
extern   uns8  gT1;
extern   uns8  gRampDelta;

#define RAMP_SHIFT  3


extern   page1 void InitMotors( void );
extern   page1 void PulseMotors( void );

#endif   // MOTOR_H

